sqv(1)

NAME
sqv - sqv is a command-line OpenPGP signature verification tool

SYNOPSIS
sqv <--keyring> [--not-after] [--not-before] [-n|--signatures] [-v|--verbose] [-h|--help] [-V|--version] <SIG-FILE> <FILE>

DESCRIPTION
sqv is a command-line OpenPGP signature verification tool

OPTIONS

--keyring=FILE
    A keyring

--not-after=TIMESTAMP
    Consider signatures created after TIMESTAMP as invalid. If a date is given, 23:59:59 is used for the time. [default: now]

--not-before=TIMESTAMP
    Consider signatures created before TIMESTAMP as invalid. If a date is given, 00:00:00 is used for the time. [default: no constraint]

-n, --signatures=N [default: 1]
    The number of valid signatures to return success

-v, --verbose
    Be verbose

-h, --help
    Print help

-V, --version
    Print version

<SIG-FILE>
    File containing the detached signature

<FILE>
    File to verify

EXTRA
TIMESTAMPs must be given in ISO 8601 format (e.g. '2017-03-04T13:25:35Z', '2017-03-04T13:25', '20170304T1325+0830', '2017-03-04', '2017031', ...). If no timezone is specified, UTC is assumed. By default, sqv configures the cryptographic policy using /etc/crypto-policies/back-ends/sequoia.config. That can be overwritten by setting the SEQUOIA_CRYPTO_POLICY environment variable to an alternate file. The path must be absolute. The file's format is described here: <https://docs.rs/sequoia-policy-config/>.

VERSION
v1.2.1 (sequoia-openpgp 1.22.0, using Nettle 3.10 (Cv448: true, OCB: true))